org.apache.catalina.valves.rewrite

## Class InternalRewriteMap.UpperCase

- java.lang.Object
- - org.apache.catalina.valves.rewrite.InternalRewriteMap.UpperCase

- All Implemented Interfaces:
    RewriteMap
  Enclosing class:
    InternalRewriteMap

      public static class InternalRewriteMap.UpperCase
      extends Object
      implements RewriteMap

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InternalRewriteMap.UpperCase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `lookup(String key)`
    `String` | `setParameters(String params)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InternalRewriteMap.UpperCase

          public InternalRewriteMap.UpperCase()

  - ### Method Detail

    - #### setParameters

          public String setParameters(String params)

      Specified by:
        `setParameters` in interface `RewriteMap`

    - #### lookup

          public String lookup(String key)

      Specified by:
        `lookup` in interface `RewriteMap`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.